<?php
/*
* Vytvořil tým adminů z webu WPlama.cz
* http://www.wplama.cz/divi-child-sablona/
*
*/

function orbisius_ctc_mh_edition_lite_child_theme_enqueue_styles() {
    $parent_style = 'orbisius_ctc_mh_edition_lite_parent_style';
    $parent_base_dir = 'mh-edition-lite';

    wp_enqueue_style( $parent_style,
        get_template_directory_uri() . '/style.css',
        array(),
        wp_get_theme( $parent_base_dir ) ? wp_get_theme( $parent_base_dir )->get('Version') : ''
    );
}

add_action( 'wp_enqueue_scripts', 'orbisius_ctc_mh_edition_lite_child_theme_enqueue_styles' );

/**
 * Nahrazení výchozích překladů
 */

function la_lang_function() {
    load_child_theme_textdomain( 'Divi', get_stylesheet_directory() . '/lang' );
    load_child_theme_textdomain( 'et_builder', get_stylesheet_directory() . '/includes/builder/languages' );
    load_child_theme_textdomain( 'et_core', get_stylesheet_directory() . '/core/languages/' );
}
add_action( 'after_setup_theme', 'la_lang_function' );

/**
 * Povolení nahrání SVG přes sekci Média
 * @param $mimes
 * @return mixed
 */

function wplama_mime_types($mimes) {
  $mimes['svg'] = 'image/svg+xml';
  return $mimes;
}
add_filter('upload_mimes', 'wplama_mime_types');